/**************************************************************************/
/* GE17 ( URL転送テーブル )                                               */
/*                                                                        */
/* Created : 2010/10/02 08:11:39                                          */
/**************************************************************************/
CREATE TABLE GE17 (
   SYSTEM_ID    VARCHAR(10)                        NOT NULL                  /* 10  システムID   */
 , RANDOM_KEY   VARCHAR(32)                        NOT NULL                  /* 20  ランダムキー */
 , NAME_JA      VARCHAR(200)                                                 /* 30  名称         */
 , DYVALID      VARCHAR(8)      DEFAULT '99999999' NOT NULL                  /* 40  有効日       */
 , REDIRECT_URL BLOB                                                         /* 50  転送ＵＲＬ   */
 , UNIQ         BIGINT                             NOT NULL PRIMARY KEY      /* 800 ユニークキー */
 , FGJ          VARCHAR(1)      DEFAULT '1'        NOT NULL                  /* 810 状態フラグ   */
 , DYSET        VARCHAR(14)                                                  /* 820 登録日時     */
 , PGSET        VARCHAR(10)                                                  /* 830 作成PG       */
 , PGPSET       VARCHAR(10)                                                  /* 840 作成親PG     */
 , USRSET       VARCHAR(10)                                                  /* 850 作成社員     */
 , DYUPD        VARCHAR(14)                                                  /* 860 更新日時     */
 , PGUPD        VARCHAR(10)                                                  /* 870 更新PG       */
 , PGPUPD       VARCHAR(10)                                                  /* 880 更新親PG     */
 , USRUPD       VARCHAR(10)                                                  /* 890 更新者       */
);

CREATE SEQUENCE GE17S00 ;


CREATE TRIGGER GE17T00 FOR GE17
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GE17S00,1 );
  END; 


